/*
 * Copyright 2013 Yuichiro Moriguchi
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.morilib.awk.parser;

import java.util.regex.Pattern;

public class AwkRegexToken extends AwkToken {

	//
	private Pattern regex;

	/**
	 * 
	 * @param re
	 */
	public AwkRegexToken(Pattern re) {
		super(re.pattern());
		regex = re;
	}

	public int hashCode() {
		return desc.hashCode();
	}

	public boolean equals(Object o) {
		if(o instanceof AwkRegexToken) {
			return desc.equals(((AwkRegexToken)o).desc);
		}
		return false;
	}

	/**
	 * 
	 */
	public Pattern getRegex() {
		return regex;
	}

}
